import service from '@/utils/request'

export const getPcList = (data) => {
  return service({
    url: '/computer/getPcList',
    method: 'post',
    data
  })
}


export const getPcById = (data) => {
    return service({
      url: '/computer/getPcById',
      method: 'post',
      data
    })
}

export const createPc = (data) => {
    return service({
      url: '/computer/createPc',
      method: 'post',
      data
    })
}


export const updatePc = (data) => {
    return service({
      url: '/computer/updatePc',
      method: 'post',
      data
    })
}

export const colsePc = (data) => {
    return service({
      url: '/computer/statusOperationBatch',
      method: 'post',
      data
    })
}

export const uploadExcel = (data) => {
  return service({
    url: '/computer/importExcel',
    method: 'post',
    data
  })
}